# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "knife-sce/version"

Gem::Specification.new do |s|
  s.name        = "knife-sce"
  s.version     = Knife::SCE::VERSION
  s.has_rdoc = true
  s.authors     = ["Rad Gruchalski"]
  s.email       = ["radek@gruchalski.com"]
  s.homepage    = "https://github.com/radekg/knife-sce"
  s.summary = "IBM SCE tools for Chef's knife"
  s.description = "Knife IBM SCE Extensions: IBM SCE tools for Chef's knife."
  s.extra_rdoc_files = ["README.rdoc", "LICENSE" ]
  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.add_dependency "fog", "~> 1.14.0"
  s.add_dependency "chef", ">= 0.10.10"
  %w(rspec-core rspec-expectations rspec-mocks  rspec_junit_formatter).each { |gem| s.add_development_dependency gem }
  s.require_paths = ["lib"]
  s.licenses = ["Apache License, Version 2.0"]
end
